mixed-port: 7890
allow-lan: false
mode: rule
log-level: info

dns:
  enable: true
  ipv6: false
  enhanced-mode: fake-ip
  nameserver:
    - 223.5.5.5
    - 119.29.29.29
  fallback:
    - 8.8.8.8
    - 1.1.1.1
  fallback-filter:
    geoip: true
    geoip-code: CN

proxies:
  - name: "VPS-Reality"
    type: vless
    server: 45.32.69.133
    port: 443
    uuid: e02bfa4e-8c3c-4625-a0dc-207dd37bffd8
    network: tcp
    tls: true
    udp: true
    flow: xtls-rprx-vision
    servername: www.microsoft.com
    client-fingerprint: chrome
    reality-opts:
      public-key: J0Q5maB5UZVzgAH1V6nGMHKuaaT4mNQRKMS5ztROKnY
      short-id: 0def0ee07b3e5f05

proxy-groups:
  - name: "Proxy"
    type: select
    proxies:
      - VPS-Reality
      - DIRECT

rules:
  # 国内直连
  - GEOIP,CN,DIRECT
  - GEOSITE,cn,DIRECT
  # 其余走代理
  - MATCH,Proxy